Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566572 - ERROR ASCII-8BIT to UTF-8","klass":"Encoding::UndefinedConversionError"}}
Summary: ERROR ASCII-8BIT to UTF-8","klass":"Encoding::UndefinedConversionError"}}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Tim Wade
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On: 1557731
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:26 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
14 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1557731
Environment:
Last Closed: 2018-05-07 20:49:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:33 UTC

Comment 2 CFME Bot 2018-04-12 17:41:23 UTC
New commits detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/abe1095c02d8032ab9cbac777ba1d32c8815838d
commit abe1095c02d8032ab9cbac777ba1d32c8815838d
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Fri Apr  6 08:18:44 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Fri Apr  6 08:18:44 2018 -0400

    Merge pull request #17252 from imtayadeway/force-task-results-encoding

    Force UTF-8 encoding on task results
    (cherry picked from commit c7d158064e5241e03a98a69cf53f01dae753a70b)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566572

 app/models/miq_task.rb | 4 +-
 spec/models/miq_task_spec.rb | 23 +
 2 files changed, 26 insertions(+), 1 deletion(-)

Comment 3 Kedar Kulkarni 2018-04-26 20:38:06 UTC
verified in 5.9.2.3

Comment 6 errata-xmlrpc 2018-05-07 20:49:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.